/// <reference types="node" />
/// <reference types="node" />
import { Readable } from 'stream';
import cacache from 'cacache';
import type { INodeFetchCacheCache, NFCResponseMetadata } from '../../types';
type ParsedMetadata = {
    bodyStreamIntegrity?: string;
    empty?: boolean;
    expiration?: number;
} & NFCResponseMetadata;
export declare class FileSystemCache implements INodeFetchCacheCache {
    private readonly ttl?;
    private readonly cacheDirectory;
    constructor(options?: {
        ttl?: number;
        cacheDirectory?: string;
    });
    get(key: string, options?: {
        ignoreExpiration?: boolean;
    }): Promise<{
        bodyStream: Readable | NodeJS.ReadableStream;
        metaData: ParsedMetadata;
    } | undefined>;
    remove(key: string): Promise<[cacache.CacheObject, cacache.CacheObject]>;
    set(key: string, bodyStream: NodeJS.ReadableStream, metaData: NFCResponseMetadata): Promise<{
        bodyStream: Readable | NodeJS.ReadableStream;
        metaData: ParsedMetadata;
    }>;
}
export {};
