/// <reference types="node" />
import { Response as NodeFetchResponse, ResponseInit as NodeFetchResponseInit } from 'node-fetch';
import { NFCResponseMetadata } from '../types.js';
export declare class NFCResponse extends NodeFetchResponse {
    readonly ejectFromCache: () => Promise<unknown>;
    readonly returnedFromCache: boolean;
    readonly isCacheMiss: boolean;
    static serializeMetaFromNodeFetchResponse(response: NodeFetchResponse): NFCResponseMetadata;
    static cacheMissResponse(url: string): NFCResponse;
    constructor(bodyStream: NodeJS.ReadableStream, metaData: Omit<NodeFetchResponseInit, 'headers'> & {
        counter: number;
        headers: Record<string, string[]>;
    }, ejectFromCache: () => Promise<unknown>, returnedFromCache: boolean, isCacheMiss?: boolean);
}
